using System.Collections.Generic;

namespace cloud.insecurity.docker.network.IPRoute
{
    public class AddrInfo
    {
        public string family { get; set; }
        public string local { get; set; }
        public int prefixlen { get; set; }
        public string scope { get; set; }
        public string label { get; set; }
        public object valid_life_time { get; set; }
        public object preferred_life_time { get; set; }
        public string broadcast { get; set; }
        public bool? dynamic { get; set; }
        public bool? noprefixroute { get; set; }
    }

    public class Addr
    {
        public int ifindex { get; set; }
        public string ifname { get; set; }
        public List<string> flags { get; set; }
        public int mtu { get; set; }
        public string qdisc { get; set; }
        public string operstate { get; set; }
        public string group { get; set; }
        public int txqlen { get; set; }
        public string link_type { get; set; }
        public string address { get; set; }
        public string broadcast { get; set; }
        public List<AddrInfo> addr_info { get; set; }
        public int? link_index { get; set; }
        public string master { get; set; }
        public int? link_netnsid { get; set; }
    }
}