using System;
using System.Net;

namespace cloud.insecurity.http
{
    public class HttpRequest : IHttpRequest
    {
        internal readonly HttpListenerContext Context;
        

        public IHttpRequest.RequestMethod Method
        {
            get
            {
                return Enum.Parse<IHttpRequest.RequestMethod>(Context.Request.HttpMethod);
            }
        }

        public Uri Url
        {
            get
            {
                return Context.Request.Url;
            }
        }
        
        public HttpRequest(HttpListenerContext ctx)
        {
            Context = ctx;
        }

        public void Dispose()
        {
           
        }
    }
}